Bug 828748 - jenkins build failed after alter domain with slave build still exist
jenkins build failed after alter domain with slave build still exist
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Dan Mace
libra bugs
: Regression, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-06-05 06:13 EDT by Meng Bo
Modified: 2015-05-14 18:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-04-16 12:46:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2012-06-05 06:13:57 EDT
Description of problem:
create app with jenkins embedded, make some changes and push it via jenkins, then alter domain namespace, after that the slave build 'app_namebldr' still exist on instance. make changes and push build again, jenkins job will fail.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create app with jenkins embedded.
2.make some change and push it
3.alter domain
4.modify the local ~/.git/config file
5.make some change and push again
Actual results:
jenkins job failed.

Expected results:
jenkins job should be success.

Additional info:
alter domain from "bmengdev1" to "bmengdev2"

Application Info
    Framework: jenkins-1.4
     Creation: 2012-06-05T05:37:34-04:00
         UUID: 6bf56c45ba3d4c82b8c72eb5ac3794da
      Git URL: ssh://6bf56c45ba3d4c82b8c72eb5ac3794da@jenkins-bmengdev2.dev.rhcloud.com/~/git/jenkins.git/
   Public URL: http://jenkins-bmengdev2.dev.rhcloud.com/


    Framework: perl-5.10
     Creation: 2012-06-05T05:51:14-04:00
         UUID: 3475756d798d444d8c266aafb57de266
      Git URL: ssh://3475756d798d444d8c266aafb57de266@perl1bldr-bmengdev2.dev.rhcloud.com/~/git/perl1bldr.git/
   Public URL: http://perl1bldr-bmengdev2.dev.rhcloud.com/


    Framework: perl-5.10
     Creation: 2012-06-05T05:48:20-04:00
         UUID: afb8f001e98749cb968f0231e428934f
      Git URL: ssh://afb8f001e98749cb968f0231e428934f@perl1-bmengdev2.dev.rhcloud.com/~/git/perl1.git/
   Public URL: http://perl1-bmengdev2.dev.rhcloud.com/

      jenkins-client-1.4 - Job URL: https://jenkins-bmengdev2.dev.rhcloud.com/job/perl1-build/

=====jenkins output=====
Started by user Jenkins System Builder
Building remotely on perl1bldr in workspace perl1bldr/ci/jenkins/workspace/perl1-build
Checkout:perl1-build / perl1bldr/ci/jenkins/workspace/perl1-build - hudson.remoting.Channel@15c0102:perl1bldr
Using strategy: Default
Last Built Revision: Revision 6604bc9a4e0b4cf35a9853b12d80048c2a912718 (origin/HEAD, origin/master)
Checkout:perl1-build / perl1bldr/ci/jenkins/workspace/perl1-build - hudson.remoting.LocalChannel@1cf1934
Fetching changes from 1 remote Git repository
Fetching upstream changes from ssh://afb8f001e98749cb968f0231e428934f@perl1-bmengdev1.dev.rhcloud.com/~/git/perl1.git/
ERROR: Problem fetching from origin / origin - could be unavailable. Continuing anyway
ERROR:  (Underlying report) : Error performing command: git fetch -t ssh://afb8f001e98749cb968f0231e428934f@perl1-bmengdev1.dev.rhcloud.com/~/git/perl1.git/ +refs/heads/*:refs/remotes/origin/*
Command "git fetch -t ssh://afb8f001e98749cb968f0231e428934f@perl1-bmengdev1.dev.rhcloud.com/~/git/perl1.git/ +refs/heads/*:refs/remotes/origin/*" returned status code 128: ssh: Could not resolve hostname perl1-bmengdev1.dev.rhcloud.com: Name or service not known
fatal: The remote end hung up unexpectedly

ERROR: Could not fetch from any repository
FATAL: Could not fetch from any repository
hudson.plugins.git.GitException: Could not fetch from any repository
	at hudson.plugins.git.GitSCM$2.invoke(GitSCM.java:1008)
	at hudson.plugins.git.GitSCM$2.invoke(GitSCM.java:968)
	at hudson.FilePath$FileCallableWrapper.call(FilePath.java:2154)
	at hudson.remoting.UserRequest.perform(UserRequest.java:118)
	at hudson.remoting.UserRequest.perform(UserRequest.java:48)
	at hudson.remoting.Request$2.run(Request.java:287)
	at hudson.remoting.InterceptingExecutorService$1.call(InterceptingExecutorService.java:72)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:334)
	at java.util.concurrent.FutureTask.run(FutureTask.java:166)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:679)
Comment 1 Bill DeCoste 2012-06-05 16:50:16 EDT
User needs to delete the node/builder or reload jenkins after a namespace change
Comment 2 Yujie Zhang 2012-09-06 06:22:25 EDT
(In reply to comment #1)
This issue also exists on fork_ami_opensource_console_77.
Comment 3 Mike McGrath 2013-04-16 12:46:53 EDT
Users can no longer alter their domain.  Closing as invalid.
Comment 4 Xiaoli Tian 2013-04-27 23:59:16 EDT
Since this bug is reported before disallowing updating domains with applications, close the original bug to won't fix instead of not a bug.

Note You need to log in before you can comment on or make changes to this bug.